FP_CURRENT_VERSION = 2.30;
FP_C_TITLE = "파티 찾기 도우미 v"..tostring(FP_CURRENT_VERSION);

-- 공격대 던전의 정확한 필터링을 위한 검색 순서목록. FP_DEFAULT_DUNGEON_LIST의 "공격대" 항목과 똑같은 string이여야 한다.
FP_RAID_ORDER = {
	[1] = "울두아르",
	[2] = "낙스라마스",
	[3] = "아카본 석실",
	[4] = "흑요석 성소",
	[5] = "영원의 눈",
	[6] = "태양샘 고원",
	[7] = "검은 사원",
	[8] = "하이잘 정상",
	[9] = "폭풍우 요새",
	[10] = "불뱀 제단",
	[11] = "그룰의 둥지",
	[12] = "마그테리돈의 둥지",
	[13] = "줄아만",
	[14] = "카라잔",
	[15] = "오닉시아",
	[16] = "줄구룹",
	[17] = "검은날개 둥지",
	[18] = "화산심장부",
	[19] = "안퀴라즈 사원",
	[20] = "안퀴라즈 폐허",
}

FP_DEFAULT_DUNGEON_LIST = {
    ["명예"] = {
		["투기장"] = {"투기장", "2대2" ,"3대3", "5대5", "2vs2", "3vs3", "5vs5"},
        ["알터랙 전장"] = {"알터랙", "알방"},
        ["전쟁노래협곡"] = {"노래방"},
        ["아라시 전장"] ={"아라시"},
        ["폭풍의 눈"] = {"폭눈"},
		["고대의 해안"] = {"고대의해안", "고해"},
		["겨울손아귀 전투"] = {"겨울손아귀", "겨손", "손아귀", "고해"},
    },
	["공격대"] = {
		["울두아르"] = {"울두아","울두","울드","울돠르"},
		["아카본 석실"] = { "아카본 석실", "아카본", "아까본", "아카", "아카석실", "에말", "에말론", "말론", "애말론", "애말"},
		["낙스라마스"] = { "낙스라마스", "낙스"},
		["영원의 눈"] = { "영원의 눈", "영눈", "말리", "말리고스", "영원의눈"},
		["흑요석 성소"] = { "흑요석성소", "흑요", "흑요석", "살타"},
		["태양샘 고원"] = {"태양샘", "태샘", "고원"},
		["검은 사원"] = {"검은", "사원", "검사", "일리단"},
		["하이잘 정상"] = {"하이잘", "아키", "윈터칠"},
		["폭풍우 요새"] = {"폭풍우", "폭우", "폭요", "캘타", "켈타", "절단", "알라", "솔라"},
		["마그테리돈의 둥지"] = {"마그"},
		["그룰의 둥지"] = {"그룰", "그롤", "마울"},
		["줄아만"] = {"줄아만", "줄 아 만"},
		["카라잔"] = {"카라잔", "카 라 잔"},
		["오닉시아"] = {"오닉"},
		["줄구룹"] = {"줄구룹", "줄굽", "줄룹"},
		["검은날개 둥지"] = {"검은날개", "검둥"},
		["화산심장부"] = {"화산", "화심"},
		["안퀴라즈 사원"] = {"안퀴사원", "안퀴 사원"},
		["안퀴라즈 폐허"] = {"안퀴폐허", "안퀴 폐허"},
		["불뱀 제단"] = {"불뱀", "잠복", "바쉬"},
	},
    ["아웃랜드"] = {
        ["메카나르"] = {"메카", "메 카"},
        ["알카트라즈"] = {"알카", "알 카"},
        ["신록의 정원"] = {"신록", "신 록"},

        ["어둠의 미궁"] = {"미궁", "미 궁"},
        ["아키나이 납골당"] = {"납골","납 골", "납골당"},
        ["세데크 전당"] = {"세데크", "세덱", "새댁", "새댁"},
        ["마나무덤"] = {"마나", "마 나"},

        ["증기저장고"] = {"증기","증 기", "저수지"},
        ["지하 수렁"] = {"수렁", "수 렁"},
        ["강제노역소"] = {"노역소", "노 역 소", "노역"},

        ["피의 용광로"] = {"용광로", "용 광 로", "용광"},
        ["지옥불 성루"] = {"성루", "성 루"},
        ["으스러진 손의 전당"] = {"으스", "으 스", "으손", "으 손"},

        ["검은 늪"] = {"검은늪", "검늪", "검 은 늪", "검 늪"},
        ["옛 힐스브래드 구릉지"] = {"힐스", "쓰랄", "스랄"},
        ["마법학자의 정원"] = {"마법학자의 정원", "마법학자정원", "마법학자","마정", "정원"},
        
        ["태양샘 고원"] = {"태양샘", "태샘", "양샘"},
    },
    ["아제로스"] = {
        ["검은바위 첨탑 상층"] = {"상층"},
        ["검은바위 첨탑 하층"] = {"하층"},
        ["스칼로맨스"] = {"스칼"},
        ["스트라솔룸"] = {"솔룸", "남작", "솔룸정문", "솔룸후문"},
        ["혈투의 전장"] = {"혈장"},
        ["검은바위 나락"] = {"나락"},
        ["가라앉은 사원 "] = {"학카르"},
        ["마라우돈"] = {"우동","마라우동"},
        ["줄파락"] = {"줄파락", "즐파락"},
        ["울다만"] = {"울다만"},
        ["가시덩굴 구릉"] = {"가시덩굴", "구릉"},
        ["붉은십자군 수도원"] = {"붉은십자군", "수도원"},
        ["놈리건"] = {"놈리건"},
        ["가시덩굴 우리"] = {"가시덩굴 우리", "덩굴우리"},
        ["스톰윈드 지하감옥"] = {"스톰지하감옥", "스톰 지하감옥"},
        ["그림자송곳니 성채"] = {"그림자송곳니", "송곳니"},
        ["검은심연의 나락"] = {"검은심연"},
        ["통곡의 동굴"] = {"통곡"},
        ["죽음의 폐광"] = {"폐광"},
        ["성난불길 협곡"] = {"성난불길", "성불"}
    },
	["노스렌드"] = {
		--["울두아르"] = {"울두아","울두","울드","울돠르"},
		--["아카본 석실"] = { "아카본 석실", "아카본", "아까본", "아카", "아카석실", "에말", "에말론", "말론", "애말론", "애말"},
		--["낙스라마스"] = { "낙스라마스", "낙스"},
		--["영원의 눈"] = { "영원의 눈", "영눈", "말리", "말리고스", "영원의눈"},
		--["흑요석 성소"] = { "흑요석성소", "흑요", "흑요석", "살타"},
		["마력의 눈"] = { "마력의 눈", "마눈"},
		["우트가드 성채"] = { "우트가드 성채", "우트성채",	"우트가드성채"},
		["안카헤트"] = { "안카헤트", "안카", 	"앙카"},
		["번개의 전당"] = { "번개의 전당", "번개의", 	"번전"},
		["옛 스트라솔룸"] = { "옛 스트라솔룸", "옛스트", "스트라솔룸", "스트", "옛솔름", "옛솔룸"},
		["보랏빛 요새"] = { "보랏빛 요새", "보랏빛", "보요", "보라"},
		["우트가드 첨탑"] = { "우트가드 첨탑", "우트첨탑", "우트가드첨탑", "첨탑"},
		["마력의탑"] = { "마력의탑", "마탑"},
		["드락타론성채"] = { "드락타론성채", "드락타", "드락성"},
		["아졸네룹"] = { "아졸네룹", "아졸"},
		["줄드락"] = { "줄드락", "줄드"},
		["돌의 전당"] = { "돌의 전당", "돌전", "돌의"},
		["군드락"] = { "군드락", "군드"}
	},
	["기타"] = {
		["마상일퀘"] = {"위로부터","위로부터의 위협","성채를 향한 전투"},
		["귀속된 던전 ID"] = {"귀속"},
	}	
};

-- 높은 던전이 위로.
FP_DUNGEON_MODE_ORDER = {
	[1] = "25인",
	[2] = "영웅",
	[3] = "10인",
	[4] = "일반",
	[5] = "업적",
	[6] = "귀속",
	[7] = "명예",
}

-- 여러가지가 동시에 존재할 경우 가장 최상위 던전으로 분류
FP_DUNGEON_MODE = {
	["25인"] = {
		"25", "25인","태양샘", "검은", "사원", "검사", "일리단", "하이잘", "아키",
		"폭풍우", "폭요", "폭우", "캘타", "켈타", "알라", "불뱀", "바쉬", "마그", "그룰", "2직"
	},
	["영웅"] = {"영웅", "영 웅", "영던", "영 던", "0던", "0 던", "(영)", "2직"},
	["10인"] = { "10", "10인", "카라잔", "카 라 잔", "줄아만", "줄 아 만", "1직"},
	["일반"] = {"일반", "일 반", "일던", "일 던", "1반", "1 반", "(1)", "(일)", "1직"},
	["업적"] = {"업적", "업젹"},
	["귀속"] = {"귀속"},
	["명예"] = {
--		"후딱", "가실", "구해", "모십", "오심", "대기",
		"호드", "얼라", "수장", "국왕", "스랄", "실바", "오그", "언더", "아포", "스톰",
		"투기장", "2대2" ,"3대3", "5대5", "2vs2", "3vs3", "5vs5",
		"겨울", "손아귀", "겨손",
		"고대", "해안", "폭풍", "폭눈", "알터랙", "알방", "노래방", "아라시"
	},
};

FP_CLASS_LIST = {
	["모두"] = {"모두", "아무나","전직"},
	["성기사"] = {"성기사", "기사", "박휘", "힐러", "딜러", "탱커", "맨탱", "부탱", "탱", "딜", "힐","전직"},
	["전사"] = {"전사", "탱커", "탱킹", "맨탱", "부탱", "탱","딜러","딜","전직"},
	["사제"] = {"사제", "암사", "힐러", "딜러", "딜", "힐","전직"},
	["흑마법사"] = {"흑마법사", "흑마", "딜러", "딜", "힐", "카퍼탱", "악마탱", "드리블","전직"},
	["마법사"] = {"마법사", "법사", "딜러", "딜", "법탱","전직", "법"},
	["사냥꾼"] = {"사냥꾼","냥꾼", "냥냥이", "딜러", "딜","전직"},
	["드루이드"] = {"드루이드", "들후", "드루", "곰탱", "딜러", "탱커", "야성", "조화", "맨탱", "부탱", "딜", "힐", "야드", "회드", "조드","전직"},
	["도적"] = {"도적", "도닥", "도둑", "딜러", "딜","전직"},
	["주술사"] = {"주술사", "주수리", "술사", "딜러", "고양", "복술", "정술", "고술", "딜", "힐","전직"},
	["죽음의 기사"] = {"죽음의기사", "죽기", "데나", "딜러", "딜", "탱커", "탱킹", "맨탱", "부탱", "탱","전직"}
};


FP_HELPS = {
[1] = "|cffffff00---- 제작자 : 아젤리아(성기사 @ 달라란)",
[2] = "|cffffff00--------------------     version |cffff0000"..tostring(FP_CURRENT_VERSION),
[3] = "|cffffff00 사용법",
[4] = "|cffffff00   리스트",
[5] = "|cffffff00      왼쪽 클릭 : 선택",
[6] = "|cffffff00      Alt + 왼쪽 클릭 : 파티 신청",
[7] = "|cffffff00      Shift + 왼쪽 클릭 : 파티장 정보 보기",
[8] = "|cffffff00      오른쪽 아래 귀퉁이 클릭 : 크기조정",
[9] = " ",
[10] = "|cffffff00   옵션",
[11] = "|cffffff00     광고주기 : 파티광고 주기",
[12] = "|cffffff00     유효시간 : 광고글 유지 시간",
[13] = "|cffffff00     크기조정 : 전체 UI 크기",
[14] = " ",
[15] = "|cffffff00    기타",
[16] = "|cffffff00      파티찾기 채널에는 미리 입장해 계셔야합니다.",
[17] = "|cffffff00      자동입장은 지원하지 않습니다.",
[18] = "|cffffff00      단축키 메뉴에 창열기/닫기 단축키 지원합니다.",
}

FP_CLASS_COLORS = {
	["전사"] = RAID_CLASS_COLORS["WARRIOR"],
	["도적"] = RAID_CLASS_COLORS["ROGUE"],
	["사제"] = RAID_CLASS_COLORS["PRIEST"],
	["성기사"] = RAID_CLASS_COLORS["PALADIN"],
	["주술사"] = RAID_CLASS_COLORS["SHAMAN"],
	["마법사"] = RAID_CLASS_COLORS["MAGE"],
	["사냥꾼"] = RAID_CLASS_COLORS["HUNTER"],
	["흑마법사"] = RAID_CLASS_COLORS["WARLOCK"],
	["드루이드"] = RAID_CLASS_COLORS["DRUID"],
	["죽음의 기사"] = RAID_CLASS_COLORS["DEATHKNIGHT"],

	["WARRIOR"] = RAID_CLASS_COLORS["WARRIOR"],
	["ROGUE"] = RAID_CLASS_COLORS["ROGUE"],
	["PRIEST"] = RAID_CLASS_COLORS["PRIEST"],
	["PALADIN"] = RAID_CLASS_COLORS["PALADIN"],
	["SHAMAN"] = RAID_CLASS_COLORS["SHAMAN"],
	["MAGE"] = RAID_CLASS_COLORS["MAGE"],
	["HUNTER"] = RAID_CLASS_COLORS["HUNTER"],
	["WARLOCK"] = RAID_CLASS_COLORS["WARLOCK"],
	["DRUID"] = RAID_CLASS_COLORS["DRUID"],
	["DEATHKNIGHT"] = RAID_CLASS_COLORS["DEATHKNIGHT"],
};

FP_DUNGEON_NUM = {
	["25인"] = 2,
	["10인"] = 1,
	["영웅"] = 2,
	["일반"] = 1,
	["명예"] = 0,
	["업적"] = 0,
	["귀속"] = 0,
}
